Package twisted :: Package web :: Package woven :: Module guard

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.guard

Classes
`GuardSession` | A user's session with a system.
`PerspectiveWrapper` |
`SessionWrapper` |

Function Summary
| `_sessionCookie()`
| `_setSession(wrap, req, cook)`

Variable Summary
`string` | `__version__`
`string` | `INIT_PERSPECTIVE`
`string` | `INIT_SESSION`
`MethodSignature` | `loginSignature`
`_Feature` | `nested_scopes`
`SelectReactor` | `reactor`

Variable Details

### __version__

  Type:
    `string`
  Value:

        '1.7'

### INIT_PERSPECTIVE

  Type:
    `string`
  Value:

        'perspective-init'

### INIT_SESSION

  Type:
    `string`
  Value:

        'session-init'

### loginSignature

  Type:
    `MethodSignature`
  Value:

        <twisted.python.formmethod.MethodSignature instance at 0x890f9ac>

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:19:31 2003 | http://epydoc.sf.net